gtkmm: Gtk::TextChildAnchor Class Reference

gtkmm 3.24.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::TextChildAnchor Class Reference
TextView Classes

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters). More...

`#include <gtkmm/textchildanchor.h>`

Inheritance diagram for Gtk::TextChildAnchor:
[legend]

## Public Member Functions
| TextChildAnchor (TextChildAnchor && src) noexcept
TextChildAnchor & | operator= (TextChildAnchor && src) noexcept
| ~TextChildAnchor () noexcept override
GtkTextChildAnchor * | gobj ()
| Provides access to the underlying C GObject.
const GtkTextChildAnchor * | gobj () const
| Provides access to the underlying C GObject.
GtkTextChildAnchor * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
std::vector< Widget * > | get_widgets ()
| Gets a list of all widgets anchored at this child anchor.
std::vector< const Widget * > | get_widgets () const
| Gets a list of all widgets anchored at this child anchor.
bool | get_deleted () const
| Determines whether a child anchor has been deleted from the buffer.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< TextChildAnchor > | create ()

## Protected Member Functions
| TextChildAnchor ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::TextChildAnchor > | wrap (GtkTextChildAnchor * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A TextChildAnchor is a spot in the buffer where child widgets can be "anchored" (inserted inline, as if they were characters).

The anchor can have multiple widgets anchored, to allow for multiple views.

Typedefed as Gtk::TextBuffer::ChildAnchor.

## Constructor & Destructor Documentation

## ◆ TextChildAnchor() [1/2]

Gtk::TextChildAnchor::TextChildAnchor | ( | TextChildAnchor && | src | ) |
| noexcept

## ◆ ~TextChildAnchor()

Gtk::TextChildAnchor::~TextChildAnchor | ( |  | ) |
| overridenoexcept

## ◆ TextChildAnchor() [2/2]

Gtk::TextChildAnchor::TextChildAnchor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ create()

Glib::RefPtr< TextChildAnchor > Gtk::TextChildAnchor::create | ( |  | ) |
| static

## ◆ get_deleted()

bool Gtk::TextChildAnchor::get_deleted | ( |  | ) | const

Determines whether a child anchor has been deleted from the buffer.

Keep in mind that the child anchor will be unreferenced when removed from the buffer, so you need to hold your own reference (with Glib::object_ref()) if you plan to use this function — otherwise all deleted child anchors will also be finalized.

Returns
  true if the child anchor has been deleted from its buffer.

## ◆ get_type()

GType Gtk::TextChildAnchor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_widgets() [1/2]

std::vector< Widget * > Gtk::TextChildAnchor::get_widgets | ( |  | ) |

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

## ◆ get_widgets() [2/2]

std::vector< const Widget * > Gtk::TextChildAnchor::get_widgets | ( |  | ) | const

Gets a list of all widgets anchored at this child anchor.

Returns
  List of widgets anchored at anchor.

## ◆ gobj() [1/2]

GtkTextChildAnchor * Gtk::TextChildAnchor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkTextChildAnchor * Gtk::TextChildAnchor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkTextChildAnchor * Gtk::TextChildAnchor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

TextChildAnchor & Gtk::TextChildAnchor::operator= | ( | TextChildAnchor && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::TextChildAnchor > wrap | ( | GtkTextChildAnchor * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.